@echo off
rem ;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
rem
rem     Geos 2.01 Patch Assembly Batch file
rem
rem     Purpose: Extracts downloaded self-extracting files into their
rem              original forms and copies files to floppy disks.
rem
rem     Copyright 1994, Geoworks
rem
rem ;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

rem     Check user entered parameters
if %1.==. goto instructions
if %1.==a:. goto backup
if %1.==A:. goto backup
if %1.==b:. goto backup
if %1.==B:. goto backup
if %1.==HD. goto hd_install
if %1.==Hd. goto hd_install
if %1.==hD. goto hd_install
if %1.==hd. goto hd_install
goto wrong_parameter

:instructions
cls
echo ÚÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄ¿
echo ³          G E O S   P A T C H    I N S T A L L   A S S E M B L Y           ³
echo ÀÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÙ
echo ÚÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄ¿
echo ³ This program can extract the downloaded files into their original form    ³
echo ³ and copy those files to floppy disks or extract them to the hard drive.   ³
echo ³ We *highly* recommend using floppy diskettes so you have a backup of the  ³
echo ³ program files. Geos 2.01 patch can be installed from floppy diskettes as  ³
echo ³ many times as you wish.                                                   ³
echo ³                                                                           ³
echo ³ TO PROCEED WITH THE INSTALL PROCESS:                                      ³
echo ³ It will be necessary to restart this program with an addional parameter.  ³
echo ³ Next time at the DOS prompt, type ASSEMBLE and follow it with the letter  ³
echo ³ of the floppy drive to which you wish to copy.   For example, to          ³
echo ³ copy to drive B, you would type:   ASSEMBLE B:                            ³
echo ³                                                                           ³
echo ³ YOU WILL NEED FOUR (4) 720k disks (or you may use higher capacity disks)  ³
echo ³ for this program to copy the necessary file onto.  Those disks must be    ³
echo ³ empty, formatted and we run DOS's Label command (each disk must have a    ³
echo ³ label for the install utility i.e. LABEL B:ENSEMBLE_n (n = 1 - 4)).       ³
echo ³                                                                           ³
echo ³ ***NOTE***                                                                ³
echo ³ TO INSTALL FROM YOUR HARD DRIVE:    type   ASSEMBLE HD                    ³
echo ÀÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÙ
pause
goto end

:backup
cls
echo ÚÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄ¿
echo ³          G E O S   P A T C H    I N S T A L L   A S S E M B L Y           ³
echo ÀÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÙ
echo ÚÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄ¿
echo ³ FLOPPY BACKUP INSTRUCTIONS:                                               ³
echo ³                                                                           ³
echo ³ You will need 4 blank, formatted 720K, 1.44m (3.5") or 1.2Mb (5.25")      ³
echo ³ disks to copy the necessary files.                                        ³
echo ³                                                                           ³
echo ³ Place the 1st disk in drive %1 and . . .                                  ³
echo ÀÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÙ
pause
set step=001
geos21p1 %1
goto errortest
:001
Label %1ENSEMBLE_1
echo.
echo   Label the diskette outside as: Geos2.01 Patch -- Disk 1
echo   Place the 2nd disk in drive %1 and . . .
pause
set step=002
geos21p2 %1
goto errortest
:002
Label %1ENSEMBLE_2
echo.
echo   Label the diskette outside as: Geos2.01 Patch -- Disk 2
echo   Place the 3rd disk in drive %1 and . . .
pause
set step=003
geos21p3 %1
goto errortest
:003
Label %1ENSEMBLE_3
echo.
echo   Label the diskette outside as: Geos2.01 Patch -- Disk 3
echo   Place the 4th disk in drive %1 and . . .
pause
set step=004
geos21p4 %1
goto errortest
:004
Label %1ENSEMBLE_4
set step=005
echo.
echo   Label the diskette outside as: Geos2.01 Patch -- Disk 4
echo   Take the last disk out of drive %1 and . . .
pause
goto delete_temp_files
:005
set step=
echo.
goto run_install

:hd_install
cls
echo ÚÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄ¿
echo ³          G E O S   P A T C H    I N S T A L L   A S S E M B L Y           ³
echo ÀÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÙ
echo.
echo ÚÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄ¿
echo ³  Extracting files to current directory. This may take a few minutes       ³
echo ³  on slower machines...                                                    ³
echo ÀÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÙ
echo.
set step=011
geos21p1
goto errortest
:011
set step=012
geos21p2
goto errortest
:012
set step=013
geos21p3
goto errortest
:013
set step=014
geos21p4
goto errortest
:014
set step=015
goto delete_temp_files
:015
set step=
echo.
install
goto END

:errortest
if errorlevel 2 goto err_msg
if errorlevel 1 goto err_msg
goto %step%

:wrong_parameter
cls
echo ÚÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄ¿
echo ³          G E O S   P A T C H    I N S T A L L   A S S E M B L Y           ³
echo ÀÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÙ
echo ÚÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄ¿
echo ³ The parameter you used, %1, is not A: or B:. This batch file will only    ³
echo ³ copy files to floppy drives A: or B:.  If your floppy drive has another   ³
echo ³ drive letter, or if you wish to back the files up to a hard drive, please ³
echo ³ do so after you exit this batch file.                                     ³
echo ³                                                                           ³
echo ³ The following files are self-extracting:                                  ³
echo ³                                                                           ³
echo ³ GEOS21P1.EXE                                                              ³
echo ³ GEOS21P2.EXE                                                              ³
echo ³ GEOS21P3.EXE                                                              ³
echo ³ GEOS21P4.EXE                                                              ³
echo ³                                                                           ³
echo ³ Those files will need to extracted to their own individual floppy disks   ³
echo ³ before the actual installation can be accomplished.  Four 720k (or bigger)³
echo ³ floppy disks are needed labeled disk 1 - disk 5.                          ³
echo ÀÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÙ
pause
cls
echo ÚÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄ¿
echo ³          G E O S   P A T C H    I N S T A L L   A S S E M B L Y           ³
echo ÀÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÙ
echo ÚÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄ¿
echo ³                                                         Continued:        ³
echo ³ Put disk 1 into its floppy drive and from the directory with the self-    ³
echo ³ extracting files type GEOS21P1 [drive]: ("drive" is the letter).  Then    ³
echo ³ do the same with disk 2 and GEOS21P2, and etc.                            ³
echo ³                                                                           ³
echo ³ For Example:   GEOS21P3 A:                                                ³
echo ³                                                                           ³
echo ³ When you are actully ready to install the Geos21 patch to your hard disk, ³
echo ³ put disk 1 back into its floppy drive and type [drive]:INSTALL            ³
echo ³                                                                           ³
echo ³ For Example:   A:INSTALL                                                  ³
echo ÀÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÙ
goto end

:run_install
echo.
echo   Re-insert disk 1 into drive %1 . . .
echo.
pause
echo.
echo   Running the install program . . .
%1INSTALL
goto END

:delete_temp_files
call TEMPDEL
goto %step%

:err_msg
echo.
echo.
echo The file extraction process had errors in the above named file.
echo You may need to download the file again.
echo.
echo.

:end
echo ÚÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄ¿
echo ³ Thank you for downloading Geos2.01 Patch.  Enjoy this latest Geos Ensemble³
echo ³ software and have a very good time!                                       ³
echo ÀÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÙ
echo.
